{% extends 'baseDashboard.html.twig' %}

{% block title %}Modifier mon profil{% endblock %}


{% block stylesheets %}
	<style>

		.icon-wrapper {


			display: flex;
			-webkit-box-pack: center;
			-ms-flex-pack: center;
			justify-content: center;
			-webkit-box-align: center;
			-ms-flex-align: center;
			align-items: center;
			height: 40px;
			width: 40px;
			border-radius: 50%;
			background-color: #fff;
			cursor: pointer;
			overflow: hidden;
			margin: 0 auto;
			font-size: 17px;
			-webkit-box-shadow: 0 0 6px 3px rgba(68, 102, 242, 0.1);
			box-shadow: 0 0 6px 3px rgba(68, 102, 242, 0.1);
		}

		.icon-wrapper {
			cursor: pointer;
			font-size: 24px; /* Ajustez la taille selon vos besoins */
			color: #000; /* Ajustez la couleur selon vos besoins */
		}
		#profile_image_save {
			display: none; /* Hidden initially */
		}
	</style>
{% endblock %}


{% block body %}


	<div class="tap-top">
		<i data-feather="chevrons-up"></i>
	</div>
	<!-- tap on tap ends-->

	<!-- page-wrapper Start-->
	<div class="page-wrapper compact-wrapper" id="pageWrapper">

		{% include 'dashboard/includes/_header.html.twig' %}
		<!-- Page Body Start-->
		<div
			class="page-body-wrapper">
			<!-- Page Sidebar Start-->
			{% include 'dashboard/includes/_sidebar.html.twig' %}
			<!-- Page Sidebar Ends-->
			<div
				class="page-body">
				<!-- Container-fluid starts-->
				<div class="container-fluid">

					<div class="edit-profile">
						<div
							class="row">

							<!-- user profile first-style end-->
							<div class="col-xl-12">
								<div class="card">
									<div class="card-header">
										<h4 class="card-title mb-0">Profil</h4>
										<div class="card-options">
											<a class="card-options-collapse" href="#" data-bs-toggle="card-collapse">
												<i class="fe fe-chevron-up"></i>
											</a>
											<a class="card-options-remove" href="#" data-bs-toggle="card-remove">
												<i class="fe fe-x"></i>
											</a>
										</div>
									</div>
									<div class="card-body">

										<div class="row mb-2">
											<div class="profile-title">
												<div class="d-flex flex-column">
													<div>
														{% if app.user.profilImage %}
															<img class="img-70 rounded-circle" src="{{ asset('uploads/usersprofil/' ~ app.user.profilImage) }}" alt="Profile Image" id="preview">

														{% else %}
															<img class="img-70 rounded-circle" src="{{ asset('uploads/usersprofil/default/default.jpg') }}" alt="Default Profile Image" id="preview">
														{% endif %}
														<div class="icon-wrapper" onclick="document.getElementById('profile_image_profilImage').click();">
															<i class="icofont icofont-pencil-alt-5"></i>

														</div>

					







													</div>
												    <div>   
														   {{ form_start(ProfileImageForm ,{'action': path('app_dashboard_profil_image')}) }}
																{{ form_widget(ProfileImageForm.profilImage) }}
																<div class="row">
																
																	<div class="col-sm-12 col-lg-12 d-flex justify-content-center mt-3">
																		{{ form_widget(ProfileImageForm.save, {'attr': {'class': 'btn btn-pill btn-outline-dark'}}) }}
																	</div>
																	
																	 {# Affichage des erreurs pour le champ profilImage #}
																			{% if ProfileImageForm.profilImage.vars.errors %}
																				<ul class="errors">
																					{% for error in ProfileImageForm.profilImage.vars.errors %}
																						<li class="text-danger">{{ error.message }}</li>
																					{% endfor %}
																				</ul>
																			{% endif %}
                        
																</div>
															{{ form_end(ProfileImageForm) }}                         
														{#	<form method="post" enctype="multipart/form-data" action="{{path('app_dashboard_profil_image')}}">
																	<!-- File input hidden -->
																	<input type="file" id="profilImage" name="profilImage" accept="image/*" style="display: none;" onchange="showUploadButton(); updateImageDisplay();">
																	<!-- Button to submit form -->
																	<div class="row">
																		<div class="col-sm-12 col-lg-12 d-flex  justify-content-center mt-é ">
																			<button  class="btn btn-pill btn-outline-dark" type="submit" id="uploadButton">Valider le Changement de la photo</button>                                
																		</div>
																	</div>
															</form>#}
														</div>

													<div class="flex-grow-1">
														<h4 class="mb-1 text-center">{{app.user.lastName|upper}}
															{{app.user.firstName|upper}}</h4>
														<p class="mb-1 text-center">Date de création  du compte :
															{{app.user.createdAt|format_datetime(pattern="dd MMMM yyyy 'à' HH:mm", locale='fr_FR'|capitalize) }}</p>
													</div>
												</div>
											</div>
										</div>


									</div>

								</div>
							</div>


							<div class="col-xl-12">
								{{ form_start(udapteUserProfilform,{'attr':{'class':'card'}}) }}

								<div class="card-header">
									<h4 class="card-title mb-0">Editer mon Profil</h4>
									{% include 'dashboard/includes/_flashMessage.html.twig' %}

									<div class="card-options">
										<a class="card-options-collapse" href="#" data-bs-toggle="card-collapse">
											<i class="fe fe-chevron-up"></i>
										</a>
										<a class="card-options-remove" href="#" data-bs-toggle="card-remove">
											<i class="fe fe-x"></i>
										</a>
									</div>
								</div>
								<div class="card-body">
									<div class="row">
										<div class="col-md-6">
											<div class="mb-3">
												{{ form_row(udapteUserProfilform.lastName)}}
											</div>
										</div>
										<div class="col-md-6">
											<div class="mb-3">
												{{ form_row(udapteUserProfilform.firstName)}}
											</div>
										</div>
										<div class="col-sm-12 col-md-12">
											<div class="mb-3">
												{{ form_row(udapteUserProfilform.country) }}
											</div>
										</div>
										<div class="col-sm-12 col-md-12">
											<div class="mb-3">
												{{ form_row(udapteUserProfilform.email)}}
											</div>
										</div>
										<div class="col-md-12">
											<div class="mb-3">
												{{ form_row(udapteUserProfilform.phoneNumber)}}
											</div>
										</div>


									</div>
									<div class="card-footer text-center">

										{{ form_row(udapteUserProfilform.submit,{'attr':{'class':'btn btn-primary'}})}}

									</div>
									{{ form_end(udapteUserProfilform) }}


								</div>


							</div>


							<!-- user profile first-style end-->
							<div class="col-xl-12">
								<div class="card">

									<div class="card-body">
										<div class="mb-3 text-center">
											<a class="btn btn-primary btn-sm" href="{{path('app_dashboard_profil_change_paswword')}}">
												<i class="fa fa-pencil"></i>
												Modifier le mot de passe</a>
										</div>
									</div>

								</div>
							</div>
						</div>
					</div>
				</div>
				<!-- Container-fluid Ends-->
			</div>
			<!-- footer start-->
			{% include 'dashboard/includes/_footer.html.twig' %}
		</div>
	</div>


{% endblock %}

{% block javascriptsCustom  %}
	<script> 
		function showUploadButton() {
          var fileInput = document.getElementById('profile_image_profilImage');
          var uploadBtn = document.getElementById('profile_image_save');
			if (fileInput.files.length > 0) {
			  uploadBtn.style.display = 'block'; // Show the upload button
			}
          }
          function updateImageDisplay() {
          var preview = document.getElementById('preview');
          var fileInput = document.getElementById('profile_image_profilImage');
          var file = fileInput.files[0];

          if (file) {
			var reader = new FileReader();
				reader.onload = function (e) {
				preview.src = e.target.result;
				// preview.style.display = 'block';
			};

			reader.readAsDataURL(file);
			}
          }
	</script>

{% endblock %}
